Description

CP-1222 defines several "new" DIMSE status codes for the various DIMSE-C and DIMSE-N messages. For example, the following
now applies to C-ECHO:

Indicates the status of the response. It may have any of the following values:

a) Success

b) Refused: SOP Class Not Supported -- Indicates that a different SOP Class than the Verification SOP Class was specified, which
was not supported.

c) Refused: Duplicate Invocation -- Indicates that the Message ID (0000,0110) specified is allocated to another notification or
operation.

d) Refused: Mistyped argument -- Indicates that one of the parameters supplied has not been agreed for use on the Association
between the DIMSE-service-users.

e) Refused: Unrecognized Operation -- Indicates that a different SOP Class than the Verification SOP Class was specified, which
does not recognize a C-ECHO operation.

That means that the dcmnet library and applications, as well as all other network-related libraries and applications should be checked
and extended (if needed).

Related issues:

Related to DCMTK - Conformance #803: CP-1403: Clarify use of DIMSE service St... Closed 2017-11-26
Related to DCMTK - Conformance #931: Remove redundant mapping of DIMSE Status... New 2020-04-17
History

#1 - 2014-06-18 18:32 - Jorg Riesmeier

- Module changed from dcmnet, other? to dcmnet, dcmwim, others?

#2 - 2014-11-24 17:47 - J6rg Riesmeier
Also see CP-1403: Clarify use of DIMSE service Status codes

#3 - 2016-11-29 11:05 - J6rg Riesmeier

- Tracker changed from Feature to Conformance

#4 - 2017-03-24 13:00 - Marco Eichelberg

- Priority changed from Normal to Low

#5 - 2017-05-22 10:05 - Marco Eichelberg
- Target version changed from 3.6.2 to 3.6.3

#6 - 2017-11-26 15:56 - JO6rg Riesmeier
- Related to Conformance #803: CP-1403: Clarify use of DIMSE service Status codes added

#7 - 2018-02-05 19:40 - Jan Schlamelcher
- Target version changed from 3.6.3 to 3.6.6

#8 - 2019-01-23 09:21 - J6rg Riesmeier
- Priority changed from Low to Normal

- Target version changed from 3.6.6 to 3.6.5

Increased priority since the DCMTK should at least define all these new DIMSE status codes (e.g. in "dcmnet/include/dcmtk/dcmnet/dimse.h") and
map them to their respective textual descriptions (e.g. in "dcmnet/libsrc/diutil.cc").

#9 - 2019-08-06 11:37 - Jorg Riesmeier
- Target version changed from 3.6.5 to 3.6.6

Also see new CP-1954 (Fix inconsistent DIMSE status code meaning).

#10 - 2020-03-06 16:45 - Jorg Riesmeier

- Assignee set to Jérg Riesmeier

#11 - 2020-03-31 21:21 - J6rg Riesmeier
- Estimated time set to 10:00 h

#12 - 2020-04-01 18:40 - J6rg Riesmeier
- % Done changed from 0 to 50

Partly closed with commit 5422b14 ("Updated and revised DIMSE Status Code definitions.").

#13 - 2020-04-17 09:54 - J6rg Riesmeier
- Related to Conformance #931: Remove redundant mapping of DIMSE Status Codes to human readable description added

#14 - 2020-04-17 12:45 - J6rg Riesmeier
- Status changed from New to Closed

- % Done changed from 50 to 100
Closed with commit 8c2bfbd.

#15 - 2020-05-25 13:28 - Michael Onken
- Target version deleted (3.6.6)
